/**********************************************************************
Copyright (C) 2005 Mustek Corporation, All rights reserved
    
Filename: ScannerReflective.h   [Abstract: ]

Author: Jack            Date: 2005/05/13
	
Function Description:
	inform the function of scaning reflective 

[Operative Environment:]

[Reference Articles:]

Revision History:
*********************************************************************/
#ifndef _ScannerReflective_2005_5_13_
#define _ScannerReflective_2005_5_13_

#include "../include/typedef.h"
#include "ScannerDefine.h"
#include "MustScanner.h"

/////////////////////////////
BOOL Reflective_Reset();
BOOL Reflective_ScanSuggest(PTARGETIMAGE pTarget, PSUGGESTSETTING pSuggest);
BOOL Reflective_SetupScan(COLORMODE ColorMode, WORD XDpi, WORD YDpi, BOOL isInvert, WORD X, WORD Y, WORD Width, WORD Height);
BOOL Reflective_StopScan();
BOOL Reflective_GetRows(BYTE* lpBlock,WORD* Rows,BOOL isOrderInvert);
BOOL Reflective_AdjustAD();
BOOL Reflective_FindTopLeft(WORD* lpwStartX, WORD* lpwStartY);
BOOL Reflective_LineCalibration16Bits();
BOOL Reflective_PrepareScan();

#endif /* end of the file ScannerReflective.h */
