/**********************************************************************
Copyright (C) 2005 Mustek Corporation, All rights reserved
    
Filename: MustScanner.h   [Abstract: ]

Author: Jack            Date: 2005/05/13
	
Function Description:
	inform the function of mustek scanner

[Operative Environment:]

[Reference Articles:]

Revision History:
*********************************************************************/
#ifndef _MustScanner_2005_5_13_
#define _MustScanner_2005_5_13_

#include "../include/typedef.h"
#include "../include/debug.h"

//////////////////
BOOL MustScanner_Init();
BOOL MustScanner_GetScannerState();
BOOL MustScanner_PowerControl(BOOL isLampOn,BOOL isTALampOn);
BOOL MustScanner_BackHome();
BOOL MustScanner_Prepare(BYTE bScanSource);
BOOL MustScanner_AdjustOffset(int nTimes,BOOL *bDirection,BYTE *bOffset,
							  BYTE *bLastMin, BYTE *bLastOffset, WORD *wMinValue, 
							  BYTE *bOffsetUpperBound, BYTE *bOffsetLowerBound, 
							  WORD wStdMinLevel, WORD wStdMaxLevel);
BOOL MustScanner_SecondAdjustOffset(int nTimes, BOOL *bDirection, BYTE *bOffset,
									BYTE *bLastMin, BYTE *bLastOffset, 
									WORD *wMinValue, BYTE *bOffsetUpperBound,
									BYTE *bOffsetLowerBound, WORD wStdMinLevel,
									WORD wStdMaxLevel);
WORD MustScanner_FiltLower(WORD* pSort,WORD TotalCount,WORD LowCount,WORD HighCount);

BOOL MustScanner_GetRgb48BitLine(BYTE* lpLine,BOOL isOrderInvert,WORD *wLinesCount);
BOOL MustScanner_GetRgb48BitLine1200DPI(BYTE* lpLine,BOOL isOrderInvert,WORD *wLinesCount);

BOOL MustScanner_GetRgb24BitLine(BYTE* lpLine,BOOL isOrderInvert,WORD *wLinesCount);
BOOL MustScanner_GetRgb24BitLine1200DPI(BYTE* lpLine,BOOL isOrderInvert,WORD *wLinesCount);

BOOL MustScanner_GetMono16BitLine(BYTE* lpLine,BOOL isOrderInvert,WORD *wLinesCount);
BOOL MustScanner_GetMono16BitLine1200DPI(BYTE* lpLine,BOOL isOrderInvert,WORD *wLinesCount);

BOOL MustScanner_GetMono8BitLine(BYTE* lpLine,BOOL isOrderInvert,WORD *wLinesCount);
BOOL MustScanner_GetMono8BitLine1200DPI(BYTE* lpLine,BOOL isOrderInvert,WORD *wLinesCount);

BOOL MustScanner_GetMono1BitLine(BYTE* lpLine,BOOL isOrderInvert,WORD *wLinesCount);
BOOL MustScanner_GetMono1BitLine1200DPI(BYTE* lpLine,BOOL isOrderInvert,WORD *wLinesCount);

void MustScanner_CrossSharpen(BYTE*lpLine,WORD wLineCount, DWORD LineBytes, BYTE ScanMode);

void* MustScanner_ReadDataFromScanner();

void MustScanner_PrepareCalculateMaxMin(WORD wResolution);

void MustScanner_CalculateMaxMin(LPBYTE pBuffer, LPWORD lpMaxValue, LPWORD lpMinValue, WORD wResolution);

BYTE QBET4(BYTE A, BYTE B);

#endif /* end of the file MustScanner.h */
